#include "Loconet.h"
#include <Arduino.h>

#ifndef _csv_str_h
#define _csv_str_h
#include "csv_str.h"
#endif

#ifndef _csvParser_h
#define _csvParser_h
#include "csvParser.h"
#endif

// Limits -> csvParser.h
//#define XDIM 13 //8
//#define YDIM 12 //7
#define  TRACK   9
#define  FELDSX 60
#define  FELDSY 40
#ifdef LOCONET
#define GRD_GRN 1
#define RND_ROT 0
#endif

void DisplayLogo(int fx, int fy);            // Aufruf von/DURCH xx.ino

extern void FeldFarbe (byte fx, byte fy, int colour);
extern void FeldFarbe2(byte fx, byte fy, int colour);
#ifndef LOCONET
extern void WR2Queue(uint8_t Hadr, uint8_t Ladr, uint8_t Val, uint8_t swDel);
#else
extern void requestSwitch(int address, byte dir, byte wdelay);
#endif
extern uint8_t LageDW(int fx, int fy);

extern void delayS2(void);

extern uint8_t  StpM[][XDIM + 1];
extern uint16_t StpA[][XDIM + 1];

extern char TextBackGrnd[];
extern char TextColourBl[];
extern char TextFont[];
extern char TextOrigin[];
extern char bingo[];
